{ genodepkgs ? builtins.fetchGit ./.
, nixpkgs ? builtins.fetchGit
    { url = "git://depot.h4ck.me/srv/git/nixpkgs";
      ref = "genode";
    }
}:

{
  build.x86_64 =
    let pkgs = import ./default.nix
      { inherit (nixpkgs);
        system = { config = "x86_64-unknown-genode"; };
      };
    in
    { inherit (pkgs) upstream ports libretro; };
}
